<!DOCTYPE html>
<html>
	<head>
		<title>Attribuzione Lotto</title>
	</head>
	<body>
		<h1>Scheda Attribuzione Numero di Lotto</h1>
		<div class="row">
			<div class="block">
				<label for="idDoc">Scheda di Lavoro</label><br>
					<input type="number" style="width: 98%;" name="idDoc"
						id="idDoc" placeholder="Inserire numero...">
				<label for="idLoc">Lotto</label>
					<input type="text" style="width: 98%;" name="idLot"
						id="idLot" placeholder="Inserire identificativo...">
				<br><br>
				<input type="radio" id="radioAbb" name="type" value="abbattuto" checked> Abbattuto
				<input type="radio" name="type" value="fresco"> Fresco
			</div>
			<div class="block" align="center">
			<font color="1E90FF"><small>Project MII Team, powered by Stellar.</small></font><br>
				<input type="button" value="Inserisci Prodotti" onclick="lot.submitLot();"
					style="width: 60%; height: 40px; margin-top: 1%; margin-Bottom: 8%;"><br>
					<label id="status"></label>
			</div>
		</div>
		<div class="row">
			<div class="block" style="height: 400px;">
				<h2>Lista Ingredienti</h2>
				<small>Aggiungere ingredienti dalla tabella in basso. Il tasto -
					li fa tornare tra i disponibili.</small><br><br>
				<table id="componentsTable" style="width:95%;">
					<tr>
						<th hidden>multiHash</th>
						<th hidden>txid</th>
						<th style="width: 15%">Codice</th>
						<th style="width: 40%">Ingrediente</th>
						<th style="width: 20%">Lotto</th>
						<th style="width: 15%">Qnt. (kg)</th>
						<th style="width: 10%;">Rimuovi</th>
					</tr>
				</table>
			</div>
			<div class="block" style="height: 400px">
				<h2>Prodotti Realizzati</h2>
				<small>Inserire oppure selezionare dallo storico prodotti.</small>
				<input type="button" id="addProduct" value="Aggiungi riga"
					style="width: 23%; float: right;" onclick="lot.addProduct();"><br><br>
				<table id="productsTable" style="width:95%">
					<tr>
						<th>Codice Articolo</th>
						<th>Pr. Realizzato</th>
						<th>Quantità (kg)</th>
						<th style="width: 20%;">Azione</th>
					</tr>
				</table><br>
			</div>
		</div>
		<div class="row">
			<div class="block" style="height: 500px;">
				<h2>Ingredienti Disponibili</h2>
				<small>Nota: scartare i prodotti implica la loro permanente
					eliminazione dai prodotti disponibili.</small>
				<table id="availableComponentsTable" style="width: 95%;">
					<tr>
						<th style="width: 5%;"></th>
						<th style="width: 15%;" align="center">Codice</th>
						<th style="width: 40%;" align="center">Prodotto</th>
						<th style="width: 15%;" align="center">Lotto</th>
						<!-- <th style="width: 15%;">Quantità (kg)</th> -->
						<th style="width: 10%;" align="center"></th>
					</tr>
				</table>
			</div>
			<div class="block" style="height: 500px;">
				<font color="d9d9d9">
				<h2>Storico Prodotti Realizzati</h2>
				<small>Lista dei prodotti realizzati in assato.</small>
				<table id="productsTableHistory" style="width:95%">
					<tr>
						<th>Codice Articolo</th>
						<th>Prodotto</th>
						<th>Quantità (kg)</th>
					</tr>
				</table>
				</font>
			</div>
		</div>
		<div class="row">
			<h2>Materie Sussidiarie</h3>
			<div class="row">
				<small>Nota: il tasto - implica lo scarto permanente dal sistema.</small>
			</div>
			<div class="block" style="height: 600px; width: 24%;">
				<h3>Spezie/Aromi/Additivi</h3>
				<table id="additives">
					<th hidden="true"></th>
					<th hidden="true"></th>
					<th style="width: 10%;"></th>
					<th align="center">Nome</th>
					<th align="center">Lotto</th>
					<th style="width: 10%;"></th>
				</table>
			</div>
			<div class="block" style="height: 600px; width: 24%;">
				<h3>Verdure/Ortaggi/Creme</h3>
				<table id="vegetables">
					<th hidden="true"></th>
					<th hidden="true"></th>
					<th style="width: 10%;"></th>
					<th align="center">Nome</th>
					<th align="center">Lotto</th>
					<th style="width: 10%;"></th>
				</table>
			</div>
			<div class="block" style="height: 600px; width: 24%;">
				<h3>Salumi/Formaggi/Altro</h3>
				<table id="others">
					<th hidden="true"></th>
					<th hidden="true"></th>
					<th style="width: 10%;"></th>
					<th align="center">Nome</th>
					<th align="center">Lotto</th>
					<th style="width: 10%;"></th>
				</table>
			</div>
			<div class="block" style="height: 600px; width: 24%;">
				<h3>Art. Confezionamento</h3>
				<table id="packaging">
					<th hidden="true"></th>
					<th hidden="true"></th>
					<th style="width: 10%;"></th>
					<th align="center">Nome</th>
					<th align="center">Lotto</th>
					<th style="width: 10%;"></th>
				</table>
			</div>
		</div>
		<div id="snackbar">
			<small>In questo momento non chiudere o ricaricare la pagina,</small><br>
			<small>le transazioni stanno venendo confermate dal sistema.</small>
		</div>
	</body>
</html>
